Veritas Cluster Server 6.0.2 does not support rolling upgrades

Article:TECH202126  |  Created: 2013-01-28  |  Updated: 2013-01-28  |  Article URL http://www.symantec.com/docs/TECH202126
Article Type
Technical Solution

Product(s)


Issue



If you try to perform a rolling upgrade in a Veritas™ Cluster Server (VCS) deployment from version 5.1 or later  to version 6.0.2, the rolling upgrade fails. The installer logs an error message related to an “undefined command”.


Error



CPI ERROR V-9-0-0 appears. Following is an example of the error message:

undefined cmd substitution:
_cmd_fsclustadm protoversion 2>&1 | /bin/grep 'local' | awk '{print $3}'
sys=lvxapor05ts01
padv=RHEL5x8664
padvisa=Padv::RHEL5x8664=HASH(0x1a1f3358)


Environment



Guests (virtual machines) running Linux in a VMware ESX/ESXi cluster.


Cause



This is a limitation, not an error.
If you try to perform the rolling upgrade, the Common Product Installer (CPI) lets you proceed with the installer sequence, but logs the stated error.


Solution



Perform a full upgrade to VCS 6.0.2 instead of a rolling upgrade.




Article URL http://www.symantec.com/docs/TECH202126


Terms of use for this information are found in Legal Notices